## imv 3.0.0

=== Makefile ===
.PHONY: imv clean check install uninstall doc

PREFIX ?= /usr
BINPREFIX ?= $(PREFIX)/bin
MANPREFIX ?= $(PREFIX)/share/man
DATAPREFIX ?= $(PREFIX)/share
CONFIGPREFIX ?= /etc

CFLAGS ?= -W -Wall -pedantic -Wmissing-prototypes
CFLAGS += -std=c99
CPPFLAGS += $(shell sdl2-config --cflags) -D_XOPEN_SOURCE=700
LIBS := $(shell sdl2-config --libs) -lfreeimage -lSDL2_ttf -lfontconfig -lpthread

BUILDDIR ?= build
TARGET := $(BUILDDIR)/imv

SOURCES := $(wildcard src/*.c)
OBJECTS := $(patsubst src/%.c,$(BUILDDIR)/%.o,$(SOURCES))
TESTS := $(patsubst test/%.c,$(BUILDDIR)/test_%,$(wildcard test/*.c))
TFLAGS ?= -g $(CFLAGS) $(CPPFLAGS) $(shell pkg-config --cflags cmocka)
TLIBS := $(LIBS) $(shell pkg-config --libs cmocka)

VERSION != git describe --dirty --always --tags 2> /dev/null || echo v3.0.0

CFLAGS += -DIMV_VERSION=\""$(VERSION)"\"

imv: $(TARGET)

$(TARGET): $(OBJECTS)
	$(CC) -o $@ $^ $(LIBS) $(LDFLAGS)

debug: CFLAGS += -DDEBUG -g -pg
debug: $(TARGET)

$(OBJECTS): | $(BUILDDIR)

$(BUILDDIR):
	mkdir -p $(BUILDDIR)

$(BUILDDIR)/%.o: src/%.c
	$(CC) -c $(CFLAGS) $(CPPFLAGS) -o $@ $<

$(BUILDDIR)/test_%: test/%.c $(filter-out src/main.c, $(wildcard src/*.c))
	$(CC) -o $@ -Isrc $(TFLAGS) $^ $(LDFLAGS) $(TLIBS)

check: $(BUILDDIR) $(TESTS)
	for t in $(TESTS); do $$t; done

clean:
	$(RM) -Rf $(BUILDDIR)
	$(RM) doc/imv.1 doc/imv.5

doc: doc/imv.1 doc/imv.5

doc/%: doc/%.txt
	a2x --no-xmllint --doctype manpage --format manpage $<

install: $(TARGET) doc
	install -D -m 0755 $(TARGET) $(DESTDIR)$(BINPREFIX)/imv
	install -D -m 0644 doc/imv.1 $(DESTDIR)$(MANPREFIX)/man1/imv.1
	install -D -m 0644 doc/imv.5 $(DESTDIR)$(MANPREFIX)/man5/imv.5
	install -D -m 0644 files/imv.desktop $(DESTDIR)$(DATAPREFIX)/applications/imv.desktop
	install -D -m 0644 files/imv_config $(DESTDIR)$(CONFIGPREFIX)/imv_config

uninstall:
	$(RM) $(DESTDIR)$(BINPREFIX)/imv
	$(RM) $(DESTDIR)$(MANPREFIX)/man1/imv.1
	$(RM) $(DESTDIR)$(MANPREFIX)/man5/imv.5
	$(RM) $(DESTDIR)$(DATAPREFIX)/applications/imv.desktop
	@echo "$(DESTDIR)$(CONFIGPREFIX)/imv_config has not been removed. Please remove it manually."

=== debian/changelog ===
imv (3.0.0-1) unstable; urgency=medium

  * Initial release (Closes: #898220)

 -- Paride Legovini <pl@ninthfloor.org>  Mon, 07 May 2018 15:41:49 +0000

=== debian/control ===
Source: imv
Section: graphics
Priority: optional
Maintainer: Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>
Uploaders: Paride Legovini <pl@ninthfloor.org>
Build-Depends:
 debhelper (>=11~),
 asciidoc,
 docbook-xsl,
 libcmocka-dev,
 libfontconfig1-dev,
 libfreeimage-dev,
 libinih-dev,
 libsdl2-dev,
 libsdl2-ttf-dev,
 xsltproc
Standards-Version: 4.1.4
Homepage: https://github.com/eXeC64/imv
Vcs-Git: https://salsa.debian.org/debian-phototools-team/imv.git
Vcs-Browser: https://salsa.debian.org/debian-phototools-team/imv

Package: imv
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: command line image viewer intended for use with tiling window managers
 imv is an image viewer for X11 and Wayland, aimed at users of tiling
 window managers. It supports a wide variety of image file formats,
 including animated gif files. imv will automatically reload the current
 image, if it is changed on disk.
 .
 Please note: the executable and the associated manpages were renamed
 from ‘imv’ to ‘imvr’ because of a name clash.

=== debian/rules ===
#!/usr/bin/make -f

# https://wiki.debian.org/HardeningWalkthrough
export DEB_BUILD_MAINT_OPTIONS  = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@

# Tests can't run in headless mode
override_dh_auto_test:

## imv 4.0.1

=== Makefile ===
.PHONY: imv debug clean check install uninstall doc

include config.mk

PREFIX ?= /usr
BINPREFIX ?= $(PREFIX)/bin
MANPREFIX ?= $(PREFIX)/share/man
DATAPREFIX ?= $(PREFIX)/share
CONFIGPREFIX ?= /etc

INSTALL_DATA ?= install -m 0644
INSTALL_MAN ?= install -m 0644
INSTALL_PROGRAM ?= install -m 0755
INSTALL_SCRIPT ?= install -m 0755

override CFLAGS += -std=c99 -W -Wall -Wpedantic -Wextra $(shell pkg-config --cflags pangocairo)
override CPPFLAGS += -D_XOPEN_SOURCE=700
override LIBS := -lGL -lpthread -lxkbcommon $(shell pkg-config --libs pangocairo)

BUILDDIR ?= build
TARGET_WAYLAND = $(BUILDDIR)/imv-wayland
TARGET_X11 = $(BUILDDIR)/imv-x11
TARGET_MSG = $(BUILDDIR)/imv-msg

ifeq ($(WINDOWS),wayland)
	TARGETS := $(TARGET_WAYLAND) $(TARGET_MSG)
else ifeq ($(WINDOWS),x11)
	TARGETS := $(TARGET_X11) $(TARGET_MSG)
else ifeq ($(WINDOWS),all)
	TARGETS := $(TARGET_WAYLAND) $(TARGET_X11) $(TARGET_MSG)
endif

SOURCES := src/main.c

SOURCES += src/binds.c
SOURCES += src/bitmap.c
SOURCES += src/canvas.c
SOURCES += src/commands.c
SOURCES += src/console.c
SOURCES += src/image.c
SOURCES += src/imv.c
SOURCES += src/ini.c
SOURCES += src/ipc.c
SOURCES += src/ipc_common.c
SOURCES += src/keyboard.c
SOURCES += src/list.c
SOURCES += src/log.c
SOURCES += src/navigator.c
SOURCES += src/viewport.c

WL_SOURCES = src/wl_window.c src/xdg-shell-protocol.c
WL_LIBS = -lwayland-client -lwayland-egl -lEGL -lrt

X11_SOURCES = src/x11_window.c
X11_LIBS = -lX11 -lGL -lGLU -lxcb -lxkbcommon-x11

MSG_SOURCES = src/imv_msg.c src/ipc_common.c
MSG_LIBS =

# Add backends to build as configured
ifeq ($(BACKEND_FREEIMAGE),yes)
	SOURCES += src/backend_freeimage.c
	override CPPFLAGS += -DIMV_BACKEND_FREEIMAGE
	override LIBS += -lfreeimage
endif

ifeq ($(BACKEND_LIBTIFF),yes)
	SOURCES += src/backend_libtiff.c
	override CPPFLAGS += -DIMV_BACKEND_LIBTIFF
	override LIBS += -ltiff
endif

ifeq ($(BACKEND_LIBPNG),yes)
	SOURCES += src/backend_libpng.c
	override CPPFLAGS += -DIMV_BACKEND_LIBPNG
	override LIBS += -lpng
endif

ifeq ($(BACKEND_LIBJPEG),yes)
	SOURCES += src/backend_libjpeg.c
	override CPPFLAGS += -DIMV_BACKEND_LIBJPEG
	override LIBS += -lturbojpeg
endif

ifeq ($(BACKEND_LIBRSVG),yes)
	SOURCES += src/backend_librsvg.c
	override CPPFLAGS += -DIMV_BACKEND_LIBRSVG $(shell pkg-config --cflags librsvg-2.0)
	override LIBS += $(shell pkg-config --libs librsvg-2.0)
endif


TEST_SOURCES := test/list.c test/navigator.c

OBJECTS := $(patsubst src/%.c,$(BUILDDIR)/%.o,$(SOURCES))
WL_OBJECTS := $(patsubst src/%.c,$(BUILDDIR)/%.o,$(WL_SOURCES))
X11_OBJECTS := $(patsubst src/%.c,$(BUILDDIR)/%.o,$(X11_SOURCES))
MSG_OBJECTS := $(patsubst src/%.c,$(BUILDDIR)/%.o,$(MSG_SOURCES))

TESTS := $(patsubst test/%.c,$(BUILDDIR)/test_%,$(TEST_SOURCES))

VERSION != git describe --dirty --always --tags 2> /dev/null || echo v4.0.0

override CPPFLAGS += -DIMV_VERSION=\""$(VERSION)"\"

TFLAGS ?= -g $(CFLAGS) $(CPPFLAGS) $(shell pkg-config --cflags cmocka)
TLIBS := $(LIBS) $(shell pkg-config --libs cmocka)

imv: $(TARGETS)

$(TARGET_WAYLAND): $(OBJECTS) $(WL_OBJECTS)
	$(CC) -o $@ $^ $(LIBS) $(WL_LIBS) $(LDFLAGS)

$(TARGET_X11): $(OBJECTS) $(X11_OBJECTS)
	$(CC) -o $@ $^ $(LIBS) $(X11_LIBS) $(LDFLAGS)

$(TARGET_MSG): $(MSG_OBJECTS)
	$(CC) -o $@ $^ $(MSG_LIBS) $(LDFLAGS)

debug: CFLAGS += -DDEBUG -g -pg
debug: $(TARGETS)

$(OBJECTS): | $(BUILDDIR)

$(BUILDDIR):
	mkdir -p $(BUILDDIR)

$(BUILDDIR)/%.o: src/%.c Makefile
	$(CC) -c $(CFLAGS) $(CPPFLAGS) -o $@ $<

$(BUILDDIR)/test_%: test/%.c src/dummy_window.c $(filter-out src/main.c, $(SOURCES))
	$(CC) -o $@ -Isrc $(TFLAGS) $^ $(LDFLAGS) $(TLIBS)

check: $(BUILDDIR) $(TESTS)
	for t in $(TESTS); do $$t; done

clean:
	$(RM) -Rf $(BUILDDIR)
	$(RM) doc/imv.1 doc/imv-msg.1 doc/imv.5

doc: doc/imv.1 doc/imv-msg.1 doc/imv.5

doc/%: doc/%.txt
	a2x --no-xmllint --doctype manpage --format manpage $<

install: $(TARGETS) doc
	mkdir -p $(DESTDIR)$(BINPREFIX)
ifeq ($(WINDOWS),wayland)
		$(INSTALL_PROGRAM) $(TARGET_WAYLAND) $(DESTDIR)$(BINPREFIX)/imv
else ifeq ($(WINDOWS),x11)
		$(INSTALL_PROGRAM) $(TARGET_X11) $(DESTDIR)$(BINPREFIX)/imv
else ifeq ($(WINDOWS),all)
		$(INSTALL_PROGRAM) $(TARGET_WAYLAND) $(DESTDIR)$(BINPREFIX)/imv-wayland
		$(INSTALL_PROGRAM) $(TARGET_X11) $(DESTDIR)$(BINPREFIX)/imv-x11
		$(INSTALL_SCRIPT) files/imv $(DESTDIR)$(BINPREFIX)/imv
endif
	$(INSTALL_PROGRAM) $(TARGET_MSG) $(DESTDIR)$(BINPREFIX)/imv-msg
	mkdir -p $(DESTDIR)$(MANPREFIX)/man1
	$(INSTALL_MAN) doc/imv.1 $(DESTDIR)$(MANPREFIX)/man1/imv.1
	$(INSTALL_MAN) doc/imv-msg.1 $(DESTDIR)$(MANPREFIX)/man1/imv-msg.1
	mkdir -p $(DESTDIR)$(MANPREFIX)/man5
	$(INSTALL_MAN) doc/imv.5 $(DESTDIR)$(MANPREFIX)/man5/imv.5
	mkdir -p $(DESTDIR)$(DATAPREFIX)/applications
	$(INSTALL_DATA) files/imv.desktop $(DESTDIR)$(DATAPREFIX)/applications/imv.desktop
	mkdir -p $(DESTDIR)$(CONFIGPREFIX)
	$(INSTALL_DATA) files/imv_config $(DESTDIR)$(CONFIGPREFIX)/imv_config

uninstall:
ifeq ($(WINDOWS),all)
		$(RM) $(DESTDIR)$(BINPREFIX)/imv-wayland
		$(RM) $(DESTDIR)$(BINPREFIX)/imv-x11
endif
	$(RM) $(DESTDIR)$(BINPREFIX)/imv
	$(RM) $(DESTDIR)$(BINPREFIX)/imv-msg
	$(RM) $(DESTDIR)$(MANPREFIX)/man1/imv.1
	$(RM) $(DESTDIR)$(MANPREFIX)/man1/imv-msg.1
	$(RM) $(DESTDIR)$(MANPREFIX)/man5/imv.5
	$(RM) $(DESTDIR)$(DATAPREFIX)/applications/imv.desktop
	@echo "$(DESTDIR)$(CONFIGPREFIX)/imv_config has not been removed. Please remove it manually."

=== debian/changelog ===
imv (4.0.1-1) unstable; urgency=medium

  * New upstream version 4.0.1 (closes: #905693).
  * Upstream switched from dual licensing (Expat and GPL-2+) to Expat only.
    Update d/copyright accordingly.
  * d/copyright: add the new contributors.
  * Bump Standards-Version to 4.4.1 (no changes needed).
  * Build-Depend on debhelper-compat and drop d/compat.
  * d/rules: drop DEB_BUILD_MAINT_OPTIONS = hardening=+all.
    ld --as-needed is enabled by default on Debian development versions.
  * Update Build-Depends due to upstream changes:
     - add: libegl1-mesa-dev, libglu1-mesa-dev, librsvg2-dev,
            libwayland-dev, libxkbcommon-x11-dev;
     - del: libsdl2-dev, libsdl2-ttf-dev.
  * Skip the install target and install everything with debhelper.
    New Build-Depend: dh-exec.
  * d/control: add Rules-Requires-Root: no
  * Explain the new way to invoke imv. Changes:
     - update d/README.Debian;
     - update the package description in d/control; and
     - add d/NEWS explaining how the binaries are named.
  * Provide a imvr -> imv-x11 symlink for legacy support.
  * Refresh and add new patches. Refreshed:
     - 0001-Build-against-the-Debian-packaged-libinih.patch
    New:
     - 0002-Fix-typo-in-manpages.patch (cherry-picked)
     - 0003-Fix-the-name-of-the-GNU-LGPL.patch (submitted upstream)
     - 0004-desktop-file-call-imv-x11.patch

 -- Paride Legovini <pl@ninthfloor.org>  Sat, 30 Nov 2019 18:46:48 +0000

=== debian/control ===
--- 
+++ 
@@ -4,20 +4,26 @@
 Maintainer: Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>
 Uploaders: Paride Legovini <pl@ninthfloor.org>
 Build-Depends:
- debhelper (>=11~),
+ debhelper-compat (= 12),
+ dh-exec,
  asciidoc,
  docbook-xsl,
  libcmocka-dev,
+ libegl1-mesa-dev,
  libfontconfig1-dev,
  libfreeimage-dev,
+ libglu1-mesa-dev,
  libinih-dev,
- libsdl2-dev,
- libsdl2-ttf-dev,
+ libpango1.0-dev,
+ librsvg2-dev,
+ libxkbcommon-x11-dev,
+ libwayland-dev,
  xsltproc
-Standards-Version: 4.1.4
+Standards-Version: 4.4.1
 Homepage: https://github.com/eXeC64/imv
 Vcs-Git: https://salsa.debian.org/debian-phototools-team/imv.git
 Vcs-Browser: https://salsa.debian.org/debian-phototools-team/imv
+Rules-Requires-Root: no
 
 Package: imv
 Architecture: any
@@ -29,5 +35,5 @@
  including animated gif files. imv will automatically reload the current
  image, if it is changed on disk.
  .
- Please note: the executable and the associated manpages were renamed
- from ‘imv’ to ‘imvr’ because of a name clash.
+ The package provides the imv-x11 and x11-wayland binaries. The 'imv' wrapper
+ script is not installed because of a file name clash with another package.

=== debian/rules ===
#!/usr/bin/make -f

# https://wiki.debian.org/HardeningWalkthrough
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

# Tests can't run in headless mode.
override_dh_auto_test:

# Skip the upstream `make install` target. We install the files manually,
# taking into account the file name clash with the renameutils package.
override_dh_auto_install:
	# A bit strangely the `doc` target is called when invoking
	# `make install`. Let's keep it here for consistency.
	#
	# https://github.com/eXeC64/imv/issues/213
	make doc

## imv 4.1.0

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-.PHONY: imv debug clean check install uninstall doc
+.PHONY: all imv debug clean check install uninstall doc
 
 include config.mk
 
@@ -15,7 +15,7 @@
 
 override CFLAGS += -std=c99 -W -Wall -Wpedantic -Wextra $(shell pkg-config --cflags pangocairo)
 override CPPFLAGS += -D_XOPEN_SOURCE=700
-override LIBS := -lGL -lpthread -lxkbcommon $(shell pkg-config --libs pangocairo)
+override LIBS := -lGL -lpthread -lxkbcommon $(shell pkg-config --libs pangocairo) $(shell pkg-config --libs icu-io)
 
 BUILDDIR ?= build
 TARGET_WAYLAND = $(BUILDDIR)/imv-wayland
@@ -46,6 +46,7 @@
 SOURCES += src/list.c
 SOURCES += src/log.c
 SOURCES += src/navigator.c
+SOURCES += src/source.c
 SOURCES += src/viewport.c
 
 WL_SOURCES = src/wl_window.c src/xdg-shell-protocol.c
@@ -88,6 +89,12 @@
 	override LIBS += $(shell pkg-config --libs librsvg-2.0)
 endif
 
+ifeq ($(BACKEND_LIBNSGIF),yes)
+	SOURCES += src/backend_libnsgif.c
+	override CPPFLAGS += -DIMV_BACKEND_LIBNSGIF $(shell pkg-config --cflags libnsgif)
+	override LIBS += $(shell pkg-config --libs libnsgif)
+endif
+
 
 TEST_SOURCES := test/list.c test/navigator.c
 
@@ -98,12 +105,14 @@
 
 TESTS := $(patsubst test/%.c,$(BUILDDIR)/test_%,$(TEST_SOURCES))
 
-VERSION != git describe --dirty --always --tags 2> /dev/null || echo v4.0.0
+VERSION != git describe --dirty --always --tags 2> /dev/null || echo v4.1.0
 
 override CPPFLAGS += -DIMV_VERSION=\""$(VERSION)"\"
 
 TFLAGS ?= -g $(CFLAGS) $(CPPFLAGS) $(shell pkg-config --cflags cmocka)
 TLIBS := $(LIBS) $(shell pkg-config --libs cmocka)
+
+all: imv doc
 
 imv: $(TARGETS)

=== debian/changelog ===
imv (4.1.0-1build1) groovy; urgency=medium

  * No change rebuild against new icu ABI.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 27 Jul 2020 16:42:07 +0100

imv (4.1.0-1) unstable; urgency=medium

  * New upstream version 4.1.0 (closes: #959095).
  * Install the /etc/imv_config file.
  * d/control:
    - Bump Standards-Version to 4.5.0 (no changes needed).
    - Bump the dh compat level to 13.
    - Do not disable dh_auto_test: the tests now pass in a schroot
      environment (sbuild), let's try enabling them.
    - Drop `make doc` from override_dh_auto_install: not needed as the `all`
      target already builds `doc`.
    - Use the paride@debian.org alias in Uploaders.
  * Drop upstreamed patches:
    - 0002-Fix-typo-in-manpages.patch
    - 0003-Fix-the-name-of-the-GNU-LGPL.patch
  * Switch to a "patches applied + git debcherry" packaging workflow.

 -- Paride Legovini <paride@debian.org>  Sun, 17 May 2020 22:22:50 +0000

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: imv
 Section: graphics
 Priority: optional
-Maintainer: Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>
-Uploaders: Paride Legovini <pl@ninthfloor.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>
+Uploaders: Paride Legovini <paride@debian.org>
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  dh-exec,
  asciidoc,
  docbook-xsl,
@@ -19,7 +20,7 @@
  libxkbcommon-x11-dev,
  libwayland-dev,
  xsltproc
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Homepage: https://github.com/eXeC64/imv
 Vcs-Git: https://salsa.debian.org/debian-phototools-team/imv.git
 Vcs-Browser: https://salsa.debian.org/debian-phototools-team/imv

=== debian/rules ===
#!/usr/bin/make -f

# https://wiki.debian.org/HardeningWalkthrough
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_install:

## imv 4.2.0

=== meson_options.txt ===
# all - Build both, determine which to use at runtime
# wayland - Only provide Wayland support
# x11 - Only provide X11 support
option('windows',
  type : 'combo',
  value : 'all',
  choices : ['all', 'wayland', 'x11'],
  description : 'window system to use'
)

option('test',
  type : 'feature',
  description : 'enable tests'
)

option('man',
  type : 'feature',
  description : 'enable man pages'
)

# Available backends:

# FreeImage http://freeimage.sourceforge.net
# depends: libjpeg, openexr, openjpeg2, libwebp, libraw, jxrlib
# license: FIPL v1.0
option('freeimage',
  type : 'feature',
  description : 'provides: png, jpg, animated gif, raw, psd, bmp, tiff, webp, etc.'
)

# libtiff
# depends: libjpeg  zlib  xz  zstd
# license: MIT
option('libtiff',
  type : 'feature',
  description : 'provides: tiff'
)

# libpng http://www.libpng.org/pub/png/libpng.html
# depends: zlib
# license: libpng license
option('libpng',
  type : 'feature',
  description : 'provides: png'
)

# libjpeg-turbo https://libjpeg-turbo.org/
# depends: none
# license: modified bsd
option('libjpeg',
  type : 'feature',
  description : 'provides: jpeg'
)

# librsvg https://wiki.gnome.org/Projects/LibRsvg
# depends: gdk-pixbuf2 pango libcroco
# license: LGPL
option('librsvg',
  type : 'feature',
  description : 'provides: svg'
)

# libnsgif https://www.netsurf-browser.org/projects/libnsgif/
# depends: none
# license: MIT
option('libnsgif',
  type : 'feature',
  description : 'provides: animated gif'
)

# libheif http://www.libheif.org
# depends: none
# license: LGPL
option('libheif',
  type : 'feature',
  description : 'provides: heif'
)

=== debian/changelog ===
imv (4.2.0-1ubuntu1) hirsute; urgency=medium

  * Build-depend on docbook-xsl so that xsltproc doesn't try to access the
    internet for the stylesheet. Works around #980930.

 -- Logan Rosen <logan@ubuntu.com>  Sat, 20 Feb 2021 23:17:41 -0500

imv (4.2.0-1) unstable; urgency=medium

  * New upstream version 4.2.0.
  * Use the upstream installer and handle the imv name clash in d/rules.
    Install `imv` in /usr/lib/imv/ and patch imv.desktop accordingly.
    Stop installing the `imvr` legacy symlink.
  * d/NEWS: warn that the `imvr` legacy symlink is not installed anymore.
  * d/control:
    - Update Build-Depends:
      + replace asciidoc with asciidoc-base
      + drop dh-exec, docbook-xsl, xsltproc: not needed anymore
      + drop libfontconfig1-dev: already a dependency via libpango1.0-dev
      + add libheif-dev for HEIF support
      + add libturbojpeg0-dev for SIMD-accellerated JPEG handling
      + add meson, as upstream switched to this build system.
    - Update the package description.
    - Use @alioth-lists.debian.net in the team mailing list address.
  * d/patches:
    - drop 0001-Build-against-the-Debian-packaged-libinih.patch.
      Build with system inih is now supported upstream.
    - d/patches: add debian/patches/0003-fix-flickering-in-wayland.patch.
      Fixes https://github.com/eXeC64/imv/issues/305.
  * d/imv.docs: install upstream's README.md. Contains useful examples.
  * d/copyright:
    - Drop paragraph for libinih, not vendored anymore.
    - Update copyright holders.
    - Update copyright years for debian/*.
  * d/gbp.conf: set debian-branch = debian/latest (DEP14).
  * debian/*: pl@ninthfloor.org -> paride@debian.org.

 -- Paride Legovini <paride@debian.org>  Sun, 31 Jan 2021 12:03:12 +0000

=== debian/control ===
Source: imv
Section: graphics
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian PhotoTools Maintainers <pkg-phototools-devel@alioth-lists.debian.net>
Uploaders: Paride Legovini <paride@debian.org>
Build-Depends:
 asciidoc-base,
 debhelper-compat (= 13),
 docbook-xsl,
 libcmocka-dev,
 libegl1-mesa-dev,
 libfreeimage-dev,
 libglu1-mesa-dev,
 libheif-dev,
 libinih-dev,
 libpango1.0-dev,
 librsvg2-dev,
 libturbojpeg0-dev,
 libwayland-dev,
 libxkbcommon-x11-dev,
 meson,
Standards-Version: 4.5.1
Homepage: https://github.com/eXeC64/imv
Vcs-Git: https://salsa.debian.org/debian-phototools-team/imv.git
Vcs-Browser: https://salsa.debian.org/debian-phototools-team/imv
Rules-Requires-Root: no

Package: imv
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: X11/Wayland image viewer intended for use with tiling window managers
 imv is a command line image viewer for X11 and Wayland aimed at users of
 tiling window managers. It has native Wayland and X11 support and can handle
 dozens of image formats, including: PNG, BMP, JPEG, TIFF, SVG, HEIF.
 .
 The package provides the imv-x11 and x11-wayland binaries. The `imv` wrapper
 script is installed in /usr/libexec/imv/ due to a file name clash.

## imv 4.3.0

=== meson_options.txt ===
--- 
+++ 
@@ -11,6 +11,12 @@
 option('test',
   type : 'feature',
   description : 'enable tests'
+)
+
+option('contrib-commands',
+  type: 'boolean',
+  value: true,
+  description: 'Install extra commands available in `contrib/`'
 )
 
 option('man',

=== debian/changelog ===
imv (4.3.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * d/patches: add 0002-Fix-segfault-with-latest-wlroots.patch to fix
    segfault with newer wlroots (Closes: #1006543)

 -- Gard Spreemann <gspr@nonempty.org>  Thu, 07 Apr 2022 09:15:36 +0200

imv (4.3.0-1) unstable; urgency=medium

  * New upstream version 4.3.0.
  * d/control: bump Standards-Version to 4.6.0, no changes needed
  * d/control: drop Build-Dep on libturbojpeg
  * d/patches: drop 0003-fix-flickering-in-wayland.patch (upstreamed)
  * d/patches: add call-imv-from-libexec.patch.
    The patch supersedes 0002-desktop-file-call-imv-x11.patch.
  * debian/*: wrap-and-sort -bast (cosmetic)

 -- Paride Legovini <paride@debian.org>  Sun, 31 Oct 2021 16:53:45 +0000

=== debian/control ===
Source: imv
Section: graphics
Priority: optional
Maintainer: Debian PhotoTools Maintainers <pkg-phototools-devel@alioth-lists.debian.net>
Uploaders:
 Paride Legovini <paride@debian.org>,
Build-Depends:
 asciidoc-base,
 debhelper-compat (= 13),
 libcmocka-dev,
 libegl1-mesa-dev,
 libfreeimage-dev,
 libglu1-mesa-dev,
 libheif-dev,
 libinih-dev,
 libpango1.0-dev,
 librsvg2-dev,
 libwayland-dev,
 libxkbcommon-x11-dev,
 meson,
Standards-Version: 4.6.0
Homepage: https://github.com/eXeC64/imv
Vcs-Git: https://salsa.debian.org/debian-phototools-team/imv.git
Vcs-Browser: https://salsa.debian.org/debian-phototools-team/imv
Rules-Requires-Root: no

Package: imv
Architecture: any
Multi-Arch: foreign
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: X11/Wayland image viewer intended for use with tiling window managers
 imv is a command line image viewer for X11 and Wayland aimed at users of
 tiling window managers. It has native Wayland and X11 support and can handle
 dozens of image formats, including: PNG, BMP, JPEG, TIFF, SVG, HEIF.
 .
 The package provides the imv-x11 and x11-wayland binaries. The `imv` wrapper
 script is installed in /usr/libexec/imv/ due to a file name clash.

=== debian/watch ===
version=4
opts="mode=git" https://github.com/eXeC64/imv refs/tags/v([\d\.]+)

## imv 4.4.0

=== meson_options.txt ===
--- 
+++ 
@@ -6,6 +6,14 @@
   value : 'all',
   choices : ['all', 'wayland', 'x11'],
   description : 'window system to use'
+)
+
+# Unicode backend - default is ICU
+option('unicode',
+  type: 'combo',
+  value: 'icu',
+  choices : ['icu', 'grapheme'],
+  description : 'unicode library to use'
 )
 
 option('test',

=== debian/changelog ===
imv (4.4.0-1build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:58:55 +1100

imv (4.4.0-1build2) noble; urgency=medium

  * No-change rebuild against libpng16-16t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 29 Feb 2024 06:54:55 +0000

imv (4.4.0-1build1) noble; urgency=medium

  * No-change rebuild for ICU soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 19 Dec 2023 10:27:01 +0100

imv (4.4.0-1) unstable; urgency=medium

  * Team upload

  [ Martin Dosch ]
  * Update project homepage and git repo (Closes: #1009303)

  [ xiao sheng wen ]
  * New upstream version 4.4.0 (Closes: #1029239 )
  * d/control: fix typo, x11-wayland --> imv-wayland (Closes: #1024204)
  * Bump Standards-Version: 4.6.2
  * d/copyright:
      - add xiao sheng wen for debian/*, update year info to 2023
      - update Source to new git repo url
  * d/u/metadata: update upstream new git repo infos
  * delete d/p/0002-Fix-segfault-with-latest-wlroots.patch, new upstream applied
  * Update d/p/call-imv-from-libexec.patch,
    patch new upstream contrib/imv-dir file

 -- xiao sheng wen <atzlinux@sina.com>  Tue, 05 Sep 2023 15:31:18 +0800

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: imv
 Section: graphics
 Priority: optional
-Maintainer: Debian PhotoTools Maintainers <pkg-phototools-devel@alioth-lists.debian.net>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian PhotoTools Maintainers <pkg-phototools-devel@alioth-lists.debian.net>
 Uploaders:
  Paride Legovini <paride@debian.org>,
 Build-Depends:
@@ -18,8 +19,8 @@
  libwayland-dev,
  libxkbcommon-x11-dev,
  meson,
-Standards-Version: 4.6.0
-Homepage: https://github.com/eXeC64/imv
+Standards-Version: 4.6.2
+Homepage: https://sr.ht/~exec64/imv
 Vcs-Git: https://salsa.debian.org/debian-phototools-team/imv.git
 Vcs-Browser: https://salsa.debian.org/debian-phototools-team/imv
 Rules-Requires-Root: no
@@ -35,5 +36,5 @@
  tiling window managers. It has native Wayland and X11 support and can handle
  dozens of image formats, including: PNG, BMP, JPEG, TIFF, SVG, HEIF.
  .
- The package provides the imv-x11 and x11-wayland binaries. The `imv` wrapper
+ The package provides the imv-x11 and imv-wayland binaries. The `imv` wrapper
  script is installed in /usr/libexec/imv/ due to a file name clash.

=== debian/rules ===
--- 
+++ 
@@ -6,4 +6,9 @@
 %:
 	dh $@
 
-override_dh_auto_install:
+execute_after_dh_auto_install:
+	# Handle the imv name clash after running the upstream installer.
+	mkdir -p debian/imv/usr/libexec/imv
+	mv -v debian/imv/usr/bin/imv debian/imv/usr/libexec/imv/
+	mv -v debian/imv/usr/share/man/man1/imv.1 debian/imv/usr/share/man/man1/imv-x11.1
+	mv -v debian/imv/usr/share/man/man5/imv.5 debian/imv/usr/share/man/man5/imv-x11.5

## imv 4.5.0

=== meson_options.txt ===
--- 
+++ 
@@ -89,3 +89,11 @@
   type : 'feature',
   description : 'provides: heif'
 )
+
+# libjxl https://jpeg.org/jpegxl/
+# depends: brotlidec, brotlienc, highway, lcms2
+# license: modified bsd
+option('libjxl',
+  type : 'feature',
+  description : 'provides: jxl'
+)

=== debian/changelog ===
imv (4.5.0-1build5) plucky; urgency=medium

  * Rebuild against latest jpeg-xl

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 08 Feb 2025 14:43:59 -0500

imv (4.5.0-1build4) plucky; urgency=medium

  * No-change rebuild for icu soname change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 05 Jan 2025 20:28:17 +0100

imv (4.5.0-1build3) plucky; urgency=medium

  * Rebuild against latest libjpeg-turbo

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 19 Nov 2024 17:38:27 -0500

imv (4.5.0-1build2) oracular; urgency=medium

  * Rebuild against new libjxl0.10.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 23 Jul 2024 18:37:18 +0200

imv (4.5.0-1build1) oracular; urgency=medium

  * Rebuild against latest jpeg-xl

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 23 Jul 2024 09:54:01 -0600

imv (4.5.0-1) unstable; urgency=medium

  * Team upload
  * New upstream version
  * d/control:
      - Build-Depends add libturbojpeg0-dev
      - Build-Depends add libjxl-dev, enable libjxl Backends
      - Bump Standards-Version: 4.7.0, no changes needed
  * d/copyright: update year info to 2024
  * d/gbp.conf: update to use default upstream-branch
  * d/u/metadata: Remove obsolete fields Contact, Name.
    Already present in machine-readable debian/copyright.
  * d/salsa-ci.yml: add salsa-ci file with the salsa pipeline (routine-update)

 -- xiao sheng wen <atzlinux@sina.com>  Fri, 14 Jun 2024 18:49:21 +0800

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: imv
 Section: graphics
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian PhotoTools Maintainers <pkg-phototools-devel@alioth-lists.debian.net>
+Maintainer: Debian PhotoTools Maintainers <pkg-phototools-devel@alioth-lists.debian.net>
 Uploaders:
  Paride Legovini <paride@debian.org>,
 Build-Depends:
@@ -14,12 +13,14 @@
  libglu1-mesa-dev,
  libheif-dev,
  libinih-dev,
+ libjxl-dev,
  libpango1.0-dev,
  librsvg2-dev,
+ libturbojpeg0-dev,
  libwayland-dev,
  libxkbcommon-x11-dev,
  meson,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://sr.ht/~exec64/imv
 Vcs-Git: https://salsa.debian.org/debian-phototools-team/imv.git
 Vcs-Browser: https://salsa.debian.org/debian-phototools-team/imv

=== debian/watch ===
version=4
opts="mode=git" https://git.sr.ht/~exec64/imv refs/tags/v([\d\.]+)

## imv 5.0.1

=== debian/changelog ===
imv (5.0.1-3) unstable; urgency=medium

  * Team upload.
  * d/control: Build-Depends remove libfreeimage-dev, not used

 -- xiao sheng wen <atzlinux@debian.org>  Sun, 14 Dec 2025 15:05:19 +0800

imv (5.0.1-2) unstable; urgency=medium

  * Team upload
  * d/control: Build-Depends add wayland-protocols

 -- xiao sheng wen <atzlinux@debian.org>  Mon, 08 Dec 2025 12:34:58 +0800

imv (5.0.1-1) unstable; urgency=medium

  * Team upload
  * New upstream version 5.0.1
  * Bump Standards-Version: 4.7.2
  * d/control: delete Rules-Requires-Root: no, useless
  * d/copyright:
      - update year info to 2025
      - remove one section which files is not exist in new upstream version
  * d/p/call-imv-from-libexec.patch: rename imv.desktop to imv.desktop.in

 -- xiao sheng wen <atzlinux@debian.org>  Mon, 08 Dec 2025 11:25:22 +0800

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,6 @@
  debhelper-compat (= 13),
  libcmocka-dev,
  libegl1-mesa-dev,
- libfreeimage-dev,
  libglu1-mesa-dev,
  libheif-dev,
  libinih-dev,
@@ -20,11 +19,11 @@
  libwayland-dev,
  libxkbcommon-x11-dev,
  meson,
-Standards-Version: 4.7.0
+ wayland-protocols,
+Standards-Version: 4.7.2
 Homepage: https://sr.ht/~exec64/imv
 Vcs-Git: https://salsa.debian.org/debian-phototools-team/imv.git
 Vcs-Browser: https://salsa.debian.org/debian-phototools-team/imv
-Rules-Requires-Root: no
 
 Package: imv
 Architecture: any
